Subject: Re: How do I compile binutils on cygwin?
From: Christian Jönsson <[email-masked]>
To: Manfred Hollstein <[email-masked]>
Cc: binutils <[email-masked]>, cygwin <[email-masked]>
Date: Wed, 9 Oct 2002 20:47:18 +0200

On Wed, Oct 09, 2002 at 07:26:47PM +0200, Manfred Hollstein wrote:
> On Wed, 2002-10-09 at 19:11, Christian Jönsson wrote:
> > I have just a small question... how do I compile binutils cvs trunk
> > under cygwin?
> 
> I've never built binutils (or anything else) on Cygwin, but adding
> "--disable-nls" to your configure command should work around the
> problem.
> 

well, i tried now with this:

/usr/local/src/gcc-binutils/trunk/src/configure \ 
--enable-shared --enable-threads=posix --disable-nls

but the same results:

generating import library for `cygintl-2.dll'
dlltool --as=as --dllname cygintl-2.dll --def .libs/cygintl-2.dll-def --output-l
ib .libs/libimp-cygintl-2.a
grep: /usr/lib/libiconv.la: No such file or directory
sed: can't read /usr/lib/libiconv.la: No such file or directory
libtool: link: `/usr/lib/libiconv.la' is not a valid libtool archive
make[3]: *** [libbfd.la] Error 1
make[3]: Leaving directory `/usr/local/src/gcc-binutils/trunk/objdir-binutils/bf
d'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/local/src/gcc-binutils/trunk/objdir-binutils/bf
d'
make[1]: *** [all-recursive-am] Error 2
make[1]: Leaving directory `/usr/local/src/gcc-binutils/trunk/objdir-binutils/bf
d'
make: *** [all-bfd] Error 2

the thing is that I can't find any libiconv whatsoever... 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/